Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADIS

TB-828

Department: SUPPORT Affected Products: ADTF 3.0.1, ADTF Display Toolbox 3.0.0

Requester's Priority: Normal Platform: Ubuntu 12.04 64bit, Ubuntu 14.04 64bit,

Ubuntu 16.04 64bit, Windows 10 64bit,

Windows 7 64bit

Support Level: 2nd Level Topic: DisplayTB::SignalView

Resolution: Product Issue Opened FAQ Links:  

Description

Guten Morgen,

ich hätte hier einen Feature Request für ADTF-3:

Operative System

Windows - Linux

Operative System Version

Vista - 7 - 8 - 10 - Ubuntu 12.04 - Ubuntu 14.04 - Ubuntu 16.04

OS Architecture

32bit - 64bit

ADTF Version

3.xx

ADTF Architecture

32bit - 64bit

Use-Case

Der Kunde möchte eine für seine Anwendung spezialisierte Visualisierung auf Basis der ADTF-Signale nutzen. Die Signalverwaltung

des SignalView entspricht hier seinen Vorstellungen, die verfügbaren Visualisierungen (Scope / Table) passen aber nicht zu seinen

Anforderungen. Daher möchte er eine eigene Visualisierung in den Signal View integrieren.

Expected Behaviour

Der Signal View soll einen Plugin-Mechanismus wie z.B. das 3D-Scene oder das 2D-Display unterstützen. Es soll eine

entsprechende Klasse im SDK zur Verfügung gestellt werden, über die ein Qt-Widget zur Verfügung gestellt wird und die

Funktionalitäten wie Signal-drag-and-drop unterstützt.

History

#1 - 2017-07-05 09:46 - hidden

- Status changed from New to In Progress

- Topic set to DisplayTB::SignalView

- Customer set to ELEKTROBIT

- Department set to SUPPORT
- Affected Products ADTF 3.0.1, ADTF Display Toolbox 3.0.0 added

- Platform Ubuntu 12.04 64bit, Ubuntu 14.04 64bit, Ubuntu 16.04 64bit, Windows 10 64bit, Windows 7 64bit added

#2 - 2017-07-05 10:32 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-828

Hallo Anja,

für den Feature Request wurde ein neues Produkt Ticket erstellt:

https://www.cip.audi.de/jira/browse/ADISTB-828

Damit sollte das Support Ticket abgeschlossen sein.

Bitte um kurzes Feedback damit wir das Support Ticket schließen können.

#3 - 2017-07-05 11:30 - hidden

- File image001.gif added

Hallo Matthias,

ja das sollte passen.

Danke und Grüße,

Anja

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

---------------------

#4 - 2017-07-05 12:22 - hidden

- Subject changed from ADTFS-47163 Feature Request: ADTF-3 Signal View to ADTFS-47163 Feature Request: ADTF-3 Signal View should support

plugin mechanism

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2017-07-10 14:30 - hidden

- Project changed from Public Support to 7

- Status changed from To Be Closed to Closed

#6 - 2018-01-25 12:08 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 17:13 - hidden

- Description updated
